GET

Get Users

Returns up to 100 users. Use the page and from_id parameters to page through users. For a description of each element in the User resource, see User Resource.

Resource URL

Before calling this API, consider using its version /1 or version /2 equivalent.

https://api.onelogin.com/api/v3/users.xml

Parameters

from_id

integer

Set this value to a user ID to return a sequence of users whose IDs start at the next sequential ID. For example, if you provide an ID value of 42, the call will return a list of up to 100 users whose IDs are greater than 42.

page

integer

Set to the page number of the page of results you want to return. A "page" refers to the list of users returned by a single request. For example, a request made without this parameter value will return the first page of events. To return subsequent pages of users, set this value to 2, 3, and so forth.

status

integer

Set to the status of the users you want to return. For a list of valid status values, see the status row on User Resource.

include_custom_attributes

boolean

Set to true if you want the response to include any custom attributes that have been defined for each user.

Sample Response

pre> user@company.com Alejandro 123456 Whitman 4 alewhitman user@org.com Aiko 654321 Chavez 1

pre> Unauthorized Access Your IP is not allowed to use this API, please contact your Administrator for more information.

Sample cURL Request

Be sure to replace placeholder values surrounded by { } with actual values.

curl -u {api_key}:x -X GET https://api.onelogin.com/api/v3/users.xml

Postman Collection

Run In Postman